Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.exception
Class NetuixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.exception.NetuixException

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  CommunityException, DuplicateDefinitionException, DuplicateObjectException, IllegalDependencyException, IllegalOperationException, MissingDataException, NotEntitledException, ObjectInUseException, ObjectNotFoundException, RedirectionException

    public class NetuixException

extends Exception

This is the base exception class for most portal framework exceptions.

See Also
  Serialized Form

Constructor Summary
`NetuixException()` Constructs a `NetuixException` with no specified detail message.
`NetuixException(String s)` Constructs a `NetuixException` with the specified detail message.
`NetuixException(String s, Throwable cause)` Constructs a `NetuixException` with the specified detail message and causal exception.
`NetuixException(Throwable cause)` Constructs a `NetuixException` with the specified causal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NetuixException

    public NetuixException()

  Constructs a `NetuixException` with no specified detail message.

### NetuixException

    public NetuixException(String s)

  Constructs a `NetuixException` with the specified detail message.

  Parameters
    `s` - The detail message

### NetuixException

    public NetuixException(String s,
                           Throwable cause)

  Constructs a `NetuixException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown

### NetuixException

    public NetuixException(Throwable cause)

  Constructs a `NetuixException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved